Subject: Re: Guix aliases?

From: zimoun <[email-masked]>
Date: Fri, 25 Sep 2020 19:00:22 +0200

On Fri, 25 Sep 2020 at 17:56, Ludovic Courtès <[email-masked]> wrote:

> What I meant to say was that, if we have other use cases, we can write
> new commands or extend existing ones to cater to those needs.  That’s
> how ‘guix size’, etc. came to life.  “Listing nodes” is not a use case
> per se, but rather an means to an end; let’s focus on the ends.  :-)
>
> (Also, let’s avoid Unix arguments; the primary composition level in Guix
> is Scheme, not byte streams on stdout.)

Well, I am not sure yet if I agree or disagree with you. :-)
I understand the arguments and I will not have time to write a v2
which includes your suggestion; I am interested in listing the nodes
for some ends, not by visualizing the graph in a non-X environment.
Therefore, feel free to close this patch submission.

Cheers,
simon